Skip to content

AlgoTest Contracts API 1.0.0

Contract management endpoints for AlgoTest API. Handles trading contracts and market data.


Servers

Description URL
Market data and contracts https://prices.algotest.in

Contracts


GET /contracts

Get Contracts

Description

Retrieve available trading contracts for a specific underlying asset.

Input parameters

Parameter In Type Default Nullable Description
csrfHeader header string N/A No API key
cookieAuth cookie string N/A No API key
underlying query string No The underlying asset symbol

Response 200 OK

[
    {
        "symbol": "string",
        "exchange": "string",
        "type": "string",
        "underlying": "string",
        "expiry": "2022-04-13",
        "strike": 10.12,
        "lot_size": 0,
        "tick_size": 10.12
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "type": "object",
        "properties": {
            "symbol": {
                "type": "string"
            },
            "exchange": {
                "type": "string"
            },
            "type": {
                "type": "string"
            },
            "underlying": {
                "type": "string"
            },
            "expiry": {
                "type": "string",
                "format": "date"
            },
            "strike": {
                "type": "number",
                "nullable": true
            },
            "lot_size": {
                "type": "integer"
            },
            "tick_size": {
                "type": "number"
            }
        }
    }
}

Response 401 Unauthorized

{
    "success": true,
    "error": {
        "code": "string",
        "message": "string",
        "details": {}
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean",
            "default": false
        },
        "error": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "message": {
                    "type": "string"
                },
                "details": {
                    "type": "object"
                }
            }
        }
    }
}

Response 400 Bad Request

{
    "success": true,
    "error": {
        "code": "string",
        "message": "string",
        "details": {}
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean",
            "default": false
        },
        "error": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "message": {
                    "type": "string"
                },
                "details": {
                    "type": "object"
                }
            }
        }
    }
}

Security schemes

Name Type Scheme Description
cookieAuth apiKey
csrfHeader apiKey

Tags

Name Description
Contracts Operations related to trading contracts